class AS1000_MFD extends GTN750 {
    constructor() {
        super();
        this.integrated = true;
        this.engineDisplay = null;
        this.WTfile1 = false;
        this.WTfile2 = false;
        this.WTfile3 = false;
    }
    get templateID() { return "AS1000_MFD"; }
    connectedCallback() {
        super.connectedCallback();
        SimVar.SetSimVarValue('L:AS1000_MFD_Brightness', 'number', 1);
        this.preserveAspectRatio("Mainframe");
        this.addEventAlias("FMS_Upper_INC", "NavigationSmallInc");
        this.addEventAlias("FMS_Upper_DEC", "NavigationSmallDec");
        this.addEventAlias("FMS_Lower_INC", "NavigationLargeInc");
        this.addEventAlias("FMS_Lower_DEC", "NavigationLargeDec");
        this.addEventAlias("FMS_Upper_PUSH", "NavigationPush");
        setTimeout(() => {
            this.engineDisplay = new Engine("Engine", "LeftInfos");
            this.addIndependentElementContainer(this.engineDisplay);
            diffAndSetAttribute(this.getChildById("LeftInfos"), "style", "visibility: visible;");
        }, 2000);
    }
    onEvent(_event) {
       super.onEvent(_event);
    }
    onUpdate(_deltaTime) {
        super.onUpdate(_deltaTime);
        SimVar.SetSimVarValue("L:Glasscockpit_MFD_Started", "number", this.isStarted ? 1 : 0);
    }
    reboot() {
        super.reboot();
        if (this.engineDisplay)
            this.engineDisplay.reset();
    }
}


registerInstrument("gtn1750-element", AS1000_MFD);


